'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.send = send;

var _nodeIpcPromise = require('node-ipc-promise');

var _nodeIpcPromise2 = _interopRequireDefault(_nodeIpcPromise);

var _flowRuntime = require('flow-runtime');

var _flowRuntime2 = _interopRequireDefault(_flowRuntime);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ipc = (0, _nodeIpcPromise2.default)();

function send(message, ...args) {
  const _returnType = _flowRuntime2.default.return(_flowRuntime2.default.any());

  return ipc.exec(message, ...args).then(_arg => _returnType.assert(_arg));
}
//# sourceMappingURL=ipc.js.map