'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _alpLimosa = require('alp-limosa');

var _flowRuntime = require('flow-runtime');

var _flowRuntime2 = _interopRequireDefault(_flowRuntime);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-template-curly-in-string */
exports.default = function routerBuilder(builder) {
  let _builderType = _flowRuntime2.default.ref(_alpLimosa.RouterBuilder);

  _flowRuntime2.default.param('builder', _builderType).assert(builder);

  builder.add('home', '/', 'home.index');
  builder.add('no-config', '/noconfig', 'no-config.index');
  builder.add('api-screen', '/api/screen', 'api-screen.index');
  builder.add('api-display', '/api/display/${action}', 'api-display.index');
};
//# sourceMappingURL=routerBuilder.js.map